View Issue Details

IDProjectCategoryView StatusLast Update
0025010LazarusDatabase Componentspublic2013-09-26 14:21
ReporterÉderson CássioAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.12Product Build 
Target Version1.2.0Fixed in Version1.3 (SVN) 
Summary0025010: DBGrid.OnEnter happens twice
DescriptionIn DBGrid.OnEnter, if I need to do some validation and return the focus to another Control, it causes the event to be triggered twice.

I could test it in GTK2 (Linux) and Win32.
Steps To Reproduce1. Run the project attached
2. Press Tab or click the grid
TagsNo tags attached.
Fixed in Revision42943
LazTarget1.2
WidgetsetGTK 2
Attached Files

Activities

Éderson Cássio

2013-09-13 05:34

reporter  

DBGrid.zip (128,946 bytes)

Issue History

Date Modified Username Field Change
2013-09-13 05:34 Éderson Cássio New Issue
2013-09-13 05:34 Éderson Cássio File Added: DBGrid.zip
2013-09-22 06:46 Jesus Reyes Assigned To => Jesus Reyes
2013-09-22 06:46 Jesus Reyes Status new => assigned
2013-09-26 14:21 Jesus Reyes Fixed in Revision => 42943
2013-09-26 14:21 Jesus Reyes LazTarget => 1.2
2013-09-26 14:21 Jesus Reyes Status assigned => resolved
2013-09-26 14:21 Jesus Reyes Fixed in Version => 1.3 (SVN)
2013-09-26 14:21 Jesus Reyes Resolution open => fixed
2013-09-26 14:21 Jesus Reyes Target Version => 1.2.0